Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236439 - Illegal instruction etc. in fully-virtualized guest
Summary: Illegal instruction etc. in fully-virtualized guest
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.0
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Aron Griffis
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 22:26 UTC by Joseph Szczypek
Modified: 2009-06-19 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-13 17:24:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fully-virtualized guest config file (deleted)
2007-04-17 18:41 UTC, Joseph Szczypek
no flags Details
xend.log (deleted)
2007-04-19 17:03 UTC, Joseph Szczypek
no flags Details
xend-debug.log (deleted)
2007-04-19 17:05 UTC, Joseph Szczypek
no flags Details
xm dmesg output (deleted)
2007-04-19 17:05 UTC, Joseph Szczypek
no flags Details

Description Joseph Szczypek 2007-04-13 22:26:31 UTC
Description of problem:
Fully-virtualized guest (HVM) is exhibiting odd behavior.  The following has
been observed:
-"illegal instruction" when trying to unmount a filesystem
-"illegal instruction" when trying to run a setup script
-Build of a test fail because a header file was not available - the directory
was not readable.
-Not being able to write to a file.

The problem does not occur consistently.  Rebooting the guest may make the
problem go away.

Version-Release number of selected component (if applicable):


How reproducible:
Medium.  Sometimes I see one problem, the afte reboot it may be gone.  Another
may manifest itself

Steps to Reproduce:
1. Install a fully-virtualized guest
2. Use it to do things 
  
Actual results:
Odd behavior at times

Expected results:
No odd behavior


Additional info:
rx6600 with 8 cores, 96GB memory.  
Fully-virt guest installed to a physical drive.  It had 1 vCPU and 8GB of memory.

Comment 1 Daniel Berrange 2007-04-17 13:45:51 UTC
Can you provide some info on the software versions:

 - kernel-xen for the Dom0 host
 - xen  for the Dom0 host
 - What OS is being used as the guest ?

Can you also attach the /etc/xen config file associated with the guest, and
/var/log/xen/xend.log & xend-debug.log. Finally, capture the output of 'xm
dmesg' & attach it


Comment 2 Joseph Szczypek 2007-04-17 18:02:32 UTC
kernel-xen is 2.6.18-8.1.1.el5xen
vmm=xen.gz-2.6.18-8.1.1.el5xen

I have run guest with RHEL5 2.6.18-8.el5 and 2.6.18-8.1.1.el5
I will send additional info shortly.


Comment 3 Joseph Szczypek 2007-04-17 18:41:50 UTC
Created attachment 152842 [details]
Fully-virtualized guest config file

Attached is the config file for the guest.

Comment 4 Joseph Szczypek 2007-04-19 17:03:10 UTC
Created attachment 153026 [details]
xend.log

Attached is xend.log.  Note this system has run more that just the hvm guest...

Comment 5 Joseph Szczypek 2007-04-19 17:05:03 UTC
Created attachment 153027 [details]
xend-debug.log

Attached is xend-debug.log.

Comment 6 Joseph Szczypek 2007-04-19 17:05:43 UTC
Created attachment 153028 [details]
xm dmesg output

Attached is 'xm dmesg' output.

Comment 7 Ronald Pacheco 2007-07-26 15:22:27 UTC
Do we have a relaible method of reproducting this problem?

Comment 8 Joseph Szczypek 2007-07-26 18:03:30 UTC
There were no specific set of actions I was doing on the guest running RHEL5.0
which made the issues appear.    One thing to note is that the guests which
exhibited issues were 8GB or 4GB in size.  I also did some "very limited" work
with a 1GB guest and did not run into the issues during the short period of time
I was working with it. 

Comment 9 Brian Stein 2007-08-06 19:20:37 UTC
Reproducer required to confirm this issue exists in 5.1.  If the above errors
are not seen in 5.1 beta testing, please close this BZ.

Comment 10 Joseph Szczypek 2007-08-13 15:30:32 UTC
(In reply to comment #9)
> Reproducer required to confirm this issue exists in 5.1.  If the above errors
> are not seen in 5.1 beta testing, please close this BZ.

I have rerun AIM7 with all four workloads (fserver, dbase, compute, shared) with
a 1VCPU, 8GB, 3 disk fully-virt guest; a 1VCPU, 32000MB, 3 disk FV guest; and a
4VCPU, 32000MB, 3 disk FV guest.   I am no longer running into any of the
problems mentioned earlier in this bugzilla.   

Guests were running RHEL5.1 Beta 1 (2.6.18-36.el5)
Dom0 was running RHEL5.1 Beta 1 (2.6.18-36.el5xen)
Xen rev is 3.1.0-36.el5
Guest FW is from xen-ia64-guest-firmware-1.0.11-1 package

Comment 11 Brian Stein 2007-08-13 17:24:14 UTC
Joseph:

Thanks for the update on your testing.  Closing this BZ per Comment #10 as UPSTREAM.

Brian


Note You need to log in before you can comment on or make changes to this bug.